/* ------------------------------------------------------------------------------------------------------------------------------------------
Project: zukunftglas.de
Version: 0.0.1
Created: 2026-02-07
Last modified: 2026-02-09
------------------------------------------------------------------------------------------------------------------------------------------ */

/* Table of Content
==================================================
	
	#Basic Styles
	#Typography
	#Links
	#Lists
	#Images
	#Buttons
	#Forms
	#Tables
	#Misc
	#Site Styles
	#Page Styles
	#Plugins Styles
	#Media Queries
	#Print Styles */



/* #Basic Styles
================================================== */

/* ROOT */

:root,
[data-bs-theme=light] {
  --bs-primary: #ff545d;
  --bs-primary-rgb: 255, 84, 93;
  --bs-link-decoration: none;
}

[data-bs-theme=dark] {
  color-scheme: dark;
  /*--bs-body-color: #d9d9d9;
  --bs-body-color-rgb: 217, 217, 217;
  --bs-body-bg: #232323;
  --bs-body-bg-rgb: 35, 35, 35;*/
	
  --bs-gray-500-rgb: 173, 181, 189;;
	
  --bs-link-color: var(--bs-secondary);
  --bs-link-hover-color: var(--bs-gray-500);
  --bs-link-color-rgb: var(--bs-secondary-rgb);
  --bs-link-hover-color-rgb: var(--bs-gray-500-rgb);
}


/* HTML */

/*html { 
	font-size: 0.9rem;
}

@media (min-width: 1200px) {
    html { 
		font-size: 1rem;
	}
}

@media (min-width: 1600px) {
    html { 
		font-size: 1.1rem;
	}
}*/


/* BODY */

html, 
	body {
	height: 100%;
}

body {
    overflow-x: hidden;
    -webkit-font-smoothing: antialiased;
}

@media (min-width: 1200px) {
	
	body {
		font-size: 1.25rem;
		line-height: 1.75rem;
	}
}

::-moz-selection {
    background: var(--bs-primary);
    color: var(--bs-light);
}

::selection {
    background: var(--bs-primary);
    color: var(--bs-light);
}

::-webkit-selection {
    background: var(--bs-primary);
    color: var(--bs-light);
}



/* #Typography
================================================== */

.display-1 {
  line-height: 1;
}

.display-3 {
  line-height: 1.125;
}

.display-1,
.display-3,
.display-6 {
  font-weight: 700;
}



/* #Links
================================================== */

a {
	text-decoration: var(--bs-link-decoration);
	/*-webkit-transition: color 0.15s ease-out;
	-moz-transition: color 0.15s ease-out;
	-o-transition: color 0.15s ease-out;
	transition: color 0.15s ease-out;*/
	
	-webkit-transition: all 0.3s ease;
	-moz-transition: all 0.3s ease;
	-ms-transition: all 0.3s ease;
	-o-transition: all 0.3s ease;
	transition: all 0.3s ease;
}

a:hover {
	/*color: rgba(var(--bs-link-color-rgb), var(--bs-link-opacity, 1));*/
}



/* #Site Styles
================================================== */

/* SITE-HEADER */

/*.site-header { 
	background: rgba(0, 0, 0, .1);
}*/


/* NAVBAR */

.navbar {
  --bs-navbar-padding-y: 1rem;
}/**/


/* NAVBAR-BRAND */

.navbar-brand {}/**/

@media (min-width: 1200px) {
	
	.navbar-brand {
		font-size: 1.5rem;
	}
}


/* SITE-MAIN */

.site-main { 
	padding: 3rem 0;
}

@media (min-width: 1200px) {
	
	.site-main { 
		padding: 5rem 0;
	}
}



/* SITE-INFO */

.site-info {
   /*background: rgba(0, 0, 0, .1);
    color: inherit; #fff;*/
	font-size: 0.875rem;
	/*
		opacity: 0.7;
		filter: alpha(opacity=70);*/
    padding: 1.25rem 0;
	/*text-transform: none;*/
}

.site-info a/*, 
	.site-info a:visited*/ {
    color: inherit;
}

.site-info a:hover/*, 
	.site-info a:focus*/ {
    color: var(--bs-link-hover-color);	
}

@media (min-width: 1200px) {
	
	.site-info {
		font-size: 1rem;
	}
}	


/* FOOTER-NAV */

.footer-nav {
}

.footer-nav ul {
    margin: 0;
    padding: 0;
}

.footer-nav ul li {
    display: inline-block;
	margin: 0; 
    /*margin: 0 0 50px 0;
    border-bottom: 1px solid #fff;
    margin-bottom: 9px;
	padding-right: 30px;
    padding-bottom: 9px;*/
}

.footer-nav ul li:after {
    content: "/";/*"|";*/
    margin: 0 .375rem 0 .75rem;
	padding: 0;
	position: relative;
}

.footer-nav ul li:last-child:after {
    content: "";
    margin: 0;
}

/*.footer-nav ul li a, 
	.footer-nav ul li a:visited {
    color: inherit;
}

.footer-nav ul li a:hover, 
	.footer-nav ul li a:focus {
    color: #727272;
}*/

/*.footer-nav ul li i {
    position: relative;
    top: 0;
}*/

@media (max-width: 767px) {
	
    .footer-nav {
        margin-bottom: 1rem;
    }
}

@media (min-width: 768px) {
	
    .footer-nav {
        text-align: right;
    }
}	



/* #Page Styles
================================================== */

/* #Plugins Styles
================================================== */

/* GRID */

.wrapper {
	/*background: green;*/
	height: 100%;
	position: relative;
	width: 100%;
	z-index: 0;
}

.grid {
	position: absolute;
	width: 100%;
	z-index: -1;
}

.test {
	background-color: rgba(255, 212, 19, 0.1);
	display: block;
	height: 100vh;
}



/* #Media Queries
================================================== */

@media (max-width: 575px) {}
@media (min-width: 576px) {} 	
@media (min-width: 576px) and (max-width: 767px) {}
@media (max-width: 767px) {}
@media (min-width: 768px) {}
@media (min-width: 768px) and (max-width: 991px) {}
@media (max-width: 991px) {}
@media (min-width: 992px) {}
@media (min-width: 992px) and (max-width: 1199px) {}
@media (max-width: 1199px) {}
@media (min-width: 1200px) {}
@media only screen and (min-width: 1200px) {}



/* #Print Styles
================================================== */

@page {
	size: A4;
	margin-top: 50px;
	margin-right: 20px;
	margin-left: 20px;
}

@media print {
	
    html, body {
        width: 210mm;
    /*height: 297mm;*/;
    }

    a[href]:after {
        content: none;
    }

    .hero,
  	#footer {
        display: none;
    }

    main {
        margin: 0;
        padding: 0;
    }
}
